<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>URL Rewrite in IIS 7</title>
</head>
<body>
    <form id="form1" runat="server">
    <h1>URL Rewrite in IIS 7</h1>
    This example shows how to create rewrite urls for user friendly urls (SEO) without extensions 
    and to make 301 redirects for old webpages when we have IIS 7 as the webserver. 
    To test this website on your local computer you have copy all files including 
    the &quot;App_Data&quot; folder to &quot;C:\inetpub\wwwroot&quot; 
    and then type in &quot;localhost&quot; in your webbrowser. The rules for url rewrites can 
    be found in the &quot;web.config&quot; file and the first rule is used for 301 Redirects 
    where the specific redirects are in a rewrite map as you see in the same 
    &quot;web.config&quot; file. In the redirect rule we make sure that we only try
    to do redirects for urls that contains ".htm".<br />
    <br />
    On this webpage we have links that look like http://domain/CategoryName/ that we rewrite 
    to http://domain/Category.aspx?Cat=TheCategoryName in the &quot;web.config file&quot;. 
    When you write the rules it is good to be as specific as possible and we used 
    UrlRewrite 2.0 to aid us when we created these rules.<br />
    <br />
    You can type in http://localhost/data/one.htm and http://localhost/news/stock.htm to 
    test the 301 Redirects.<br /><br />
    <asp:Repeater ID="CategoryListRepeater" runat="server">
            <itemtemplate>
                    <asp:HyperLink ID="CategoryHeadLinkButton" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Title")%>' NavigateUrl='<%#GeneratePageURL(Eval("CategoryID"))%>'></asp:HyperLink><br />
                    <asp:Literal ID="CategoryDesc" runat="server" Text='<%#DataBinder.Eval(Container.DataItem, "Description")%>'></asp:Literal><br /><br />
            </itemtemplate>
        </asp:Repeater>
    </form>
</body>
</html>
