Imports System.Data
Imports System.Data.SqlClient

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        ' We first check to see if it is a postback that causes this page to load and only execute the code
        ' below if it not is a postback like a button click.

        If Page.IsPostBack = False Then

            ' We select Category ID, Title and Description from the Category table and binds the selected data
            ' to the CategoryListRepeater by using a Sqlreader.

            Try
                Dim ConnString As String = ConfigurationManager.ConnectionStrings("ConnectionString").ToString()
                Dim sql As String = "SELECT CategoryID, Title, Description FROM Category ORDER BY Title ASC"

                ' The Using block is used to call dispose (close) automatically even if there are an exception.
                Using cn As New SqlConnection(ConnString), _
                      cmd As New SqlCommand(sql, cn)

                    cn.Open()
                    ' The Using block is used to call dispose (close) automatically even if there are an exception.
                    Using reader As SqlDataReader = cmd.ExecuteReader()
                        CategoryListRepeater.DataSource = reader
                        CategoryListRepeater.DataBind()
                    End Using

                End Using
            Catch ex As Exception
                Response.Write(ex.Message)
            End Try
        End If
    End Sub

    Protected Function GeneratePageURL(ByVal Catname As Object) As String

        ' Create a SEO-Friendly Url for every category. We use the / sign in front of the url
        ' to be sure that the url starts from the root.

        Dim strLink As String = "/" & Catname & "/"

        Return strLink
    End Function
End Class
